<div class="miam-basket-preview-disabled">
  <div class="miam-basket-preview-disabled__header" [ngClass]="cssClass" (click)="toggleReduced()">
    <span class="miam-basket-preview-disabled__header__caption">{{ title }} ({{ entries.length }})</span>
    <div class="miam-basket-preview-disabled__header__chevron" [ngClass]="{'miam-basket-preview-disabled__chevron__down':!reduced}">
      <ng-miam-icon height='32' width='32' primaryColor='#fff'  [iconName]="icon.ChevronDown"></ng-miam-icon>
    </div>
  </div>
  
  <div *ngIf="!reduced">
    <div *ngFor="let entry of entries" class="miam-basket-preview-disabled__entry">
      <div class="text-muted">
        <strong>{{ entry.entryName }}</strong>
      </div>
      <button *ngIf="cssClass === 'removed' || cssClass === 'oftenDeleted'" class="m-button-grey" (click)="entryAdded.emit(entry)">
        Ajouter{{ mobile ? '' : ' au panier'}}
      </button>
    </div>
  </div>
</div>